Bug 1016476 - Review Request: spring-retry - Abstraction around retrying failed operations
Review Request: spring-retry - Abstraction around retrying failed operations
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 04:51 EDT by Michal Srb
Modified: 2013-10-28 23:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-16 09:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
review notes (8.55 KB, text/plain)
2013-10-08 11:59 EDT, gil cattaneo
no flags Details

  None (edit)
Description Michal Srb 2013-10-08 04:51:09 EDT
Spec URL: http://msrb.fedorapeople.org/review/spring-retry.spec
SRPM URL: http://msrb.fedorapeople.org/review/spring-retry-1.0.2-1.fc21.src.rpm
Description: Spring Retry provides an abstraction around retrying failed operations,
with an emphasis on declarative control of the process and policy-based
bahaviour that is easy to extend and customize. For instance, you can
configure a plain POJO operation to retry if it fails, based on the type
of exception, and with a fixed or exponential backoff.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-10-08 11:39:26 EDT
i would like to take this review
Comment 2 gil cattaneo 2013-10-08 11:45:25 EDT
hi
org.aspectj:aspectjrt classes are available in the (our,Debian,*Ubuntu) aspectjweaver package, if you want run same tests
regards
Comment 3 gil cattaneo 2013-10-08 11:59:35 EDT
Created attachment 809378 [details]
review notes

NON blocking issues

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

please, contact upstream to include a license copy

[?]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
see previous comment
approved
Comment 4 Michal Srb 2013-10-15 02:22:19 EDT
(In reply to gil cattaneo from comment #2)
> hi
> org.aspectj:aspectjrt classes are available in the (our,Debian,*Ubuntu)
> aspectjweaver package, if you want run same tests
> regards

Thanks for the info. Package aspectjweaver in Fedora only provides org.aspectj:aspectjweaver. Maybe only alias is missing. I will check if it works with spring-retry.
Comment 5 gil cattaneo 2013-10-15 06:38:09 EDT
can you add also OSGi manifest?
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>org.springframework.retry</Bundle-SymbolicName>
    <Bundle-Name>${project.name}</Bundle-Name>
    <Bundle-Vendor>SpringSource</Bundle-Vendor>
    <Bundle-Version>${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

or <Bundle-Vendor>${project.organization.name}</Bundle-Vendor>
if project.organization.name is equal to SpringSource
regards
Comment 6 Michal Srb 2013-10-16 04:52:39 EDT
No problem, I will add OSGi metadata. I have also opened pull request for adding ASL 2.0 license text and tests are enabled now.

New Package SCM Request
=======================
Package Name: spring-retry
Short Description: Abstraction around retrying failed operations
Owners: msrb sochotni mizdebsk msimacek
Branches: f20
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2013-10-16 08:17:57 EDT
Git done (by process-git-requests).
Comment 8 Michal Srb 2013-10-16 09:23:50 EDT
Thanks for the review and the repo. The package is now available in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.